|  | Home |

# QMailMessageServicePlugin Class Reference

The QMailMessageServicePlugin class defines a base class for implementing messaging service plugins. More...

        #include <QMailMessageServicePlugin>

Inherits QObject and QMailMessageServicePluginInterface.

- List of all members, including inherited members

## Public Functions

| QMailMessageServicePlugin ()
virtual QStringList | keys () const

- 29 public functions inherited from QObject
- 5 public functions inherited from QMailMessageServicePluginInterface

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QMailMessageServicePlugin class defines a base class for implementing messaging service plugins.

The QMailMessageServicePlugin class provides a base class for plugin classes that provide messaging service functionality. Classes that inherit QMailMessageServicePlugin need to provide overrides of the key, supports and createService member functions.

See also QMailMessageServicePluginInterface, QMailMessageService, and QMailMessageServiceFactory.

## Member Function Documentation

### QMailMessageServicePlugin::QMailMessageServicePlugin ()

Creates a messaging service plugin instance.

### QStringList QMailMessageServicePlugin::keys () const `[virtual]`

Returns the list of interfaces implemented by this plugin.